Subject: bug#28502: 25.3; list-packages ends with "error in process filter: End of file during parsing"

From: Noam Postavsky <[email-masked]>
Date: Tue, 26 Sep 2017 20:45:25 -0400

tags 28502 + unreproducible moreinfo
quit

Alex Branham <[email-masked]> writes:

> Hello,
>
> I seem to have encountered a bug. From emacs -Q:
>
> (require 'package)
> (setq package-archives
>       '(("melpa" . "https://melpa.org/packages/")
>         ("melpa-stable" . "https://stable.melpa.org/packages/")
>         ("gnu" . "https://elpa.gnu.org/packages/")))
> (package-initialize)
>
> Then do M-x list-packages. I get a message "error in process filter: End of file during parsing."

Works for me.  Does it happen if you remove the (package-initialize)
call?  I think this could enable some of the packages you have
installed, so despite using 'emacs -Q' it's not entirely a clean
session.

If you M-x toggle-debug-on-error do you get a backtrace?